org.jboss.netty.handler.execution

## Class ChannelUpstreamEventRunnable

- java.lang.Object
- - org.jboss.netty.handler.execution.ChannelEventRunnable
  - - org.jboss.netty.handler.execution.ChannelUpstreamEventRunnable

All Implemented Interfaces:
  Runnable, EstimatableObjectWrapper

    public class ChannelUpstreamEventRunnable
    extends ChannelEventRunnable

A `ChannelEventRunnable` which sends the specified `ChannelEvent` upstream. Most users will not see this type at all because it is used by `Executor` implementers only

### Field Summary

### Fields inherited from class org.jboss.netty.handler.execution.ChannelEventRunnable

`ctx, e, PARENT`

### Constructor Summary

Constructors
Constructor and Description
`ChannelUpstreamEventRunnable(ChannelHandlerContext ctx, ChannelEvent e, Executor executor)` Creates a `Runnable` which sends the specified `ChannelEvent` upstream via the specified `ChannelHandlerContext`.

### Method Summary

Methods
`protected void` `doRun()` Sends the event upstream.

### Methods inherited from class org.jboss.netty.handler.execution.ChannelEventRunnable

`getContext, getEvent, run, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChannelUpstreamEventRunnable

    public ChannelUpstreamEventRunnable(ChannelHandlerContext ctx,
                                ChannelEvent e,
                                Executor executor)

Creates a `Runnable` which sends the specified `ChannelEvent` upstream via the specified `ChannelHandlerContext`.

### Method Detail

#### doRun

    protected void doRun()

Sends the event upstream.

Specified by:
  `doRun` in class `ChannelEventRunnable`